---------------------
PatchSet 136 
Date: 2000/04/17 13:45:13
Author: asd
Branch: ntlm
Tag: (none) 
Log:
- Add authentication states (none/challenge/done).
- Add authentication types (none/basic/ntlm).

Members: 
	src/defines.h:1.1.1.3.12.1->1.1.1.3.12.2 

Index: squid/src/defines.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/defines.h,v
retrieving revision 1.1.1.3.12.1
retrieving revision 1.1.1.3.12.2
diff -u -r1.1.1.3.12.1 -r1.1.1.3.12.2
--- squid/src/defines.h	17 Apr 2000 00:13:09 -0000	1.1.1.3.12.1
+++ squid/src/defines.h	17 Apr 2000 13:45:13 -0000	1.1.1.3.12.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: defines.h,v 1.1.1.3.12.1 2000/04/17 00:13:09 hno Exp $
+ * $Id: defines.h,v 1.1.1.3.12.2 2000/04/17 13:45:13 asd Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -134,9 +134,13 @@
 
 #define AUTHENTICATE_AV_FACTOR 1000
 
-#define AUTHENTICATE_NONE 0
-#define AUTHENTICATE_PENDING 1
-#define AUTHENTICATE_DONE 2
+#define AUTHENTICATE_STATE_NONE 0
+#define AUTHENTICATE_STATE_CHALLENGE 1
+#define AUTHENTICATE_STATE_DONE 2
+
+#define AUTHENTICATE_TYPE_NONE 0
+#define AUTHENTICATE_TYPE_BASIC 1
+#define AUTHENTICATE_TYPE_NTLM 2
 
 #define  CONNECT_PORT        443
 
